;; Demonstrate that use-package allows for nesting configurations,
;; although it is done semantically rather than syntactically. The
;; :after keyword makes sure that the 'bar' package is only evaluated
;; after the 'foo' package was loaded.

(use-package foo)

;; only loads after foo has been loaded
(use-package bar
  :after foo)
